Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 830597 - net-libs/webkit-gtk-2.34.3 security stabilization
Summary: net-libs/webkit-gtk-2.34.3 security stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: CC-ARCHES, SECURITY
Depends on:
Blocks: CVE-2021-42762 CVE-2021-30818, CVE-2021-30823, CVE-2021-30846, CVE-2021-30848, CVE-2021-30849, CVE-2021-30851, CVE-2021-30884, CVE-2021-30888, CVE-2021-30889, CVE-2021-30897, WSA-2021-0006 CVE-2021-30887, CVE-2021-30890
  Show dependency tree
 
Reported: 2022-01-04 13:11 UTC by Mart Raudsepp
Modified: 2022-01-18 12:25 UTC (History)
0 users

See Also:
Package list:
net-libs/webkit-gtk-2.34.3 amd64 arm arm64 ppc ppc64 x86 gui-libs/libwpe-1.12.0 amd64 arm arm64 ppc ppc64 x86 gui-libs/wpebackend-fdo-1.12.0 amd64 arm arm64 ppc ppc64 x86 www-client/epiphany-40.6 amd64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2022-01-04 13:11:15 UTC
net-libs/webkit-gtk-2.34.3 fixes various security issues and is a big upgrade over the previous stable 2.32 series.
epiphany is added to package list to have something to test this with in same go, plus the newer bug fix release of epiphany is needed to fix some regressions in its functionality after its own previous security stabilization of an earlier version.
Comment 1 NATTkA bot gentoo-dev 2022-01-04 13:16:30 UTC Comment hidden (obsolete)
Comment 2 Mart Raudsepp gentoo-dev 2022-01-04 13:26:02 UTC
Apparently adding sparc in the first place was a mistake, but it does point out that I had the wpebackend-fdo stack missing for going in sync with webkit-gtk for bug fixes. So those are added to package list.
Comment 3 NATTkA bot gentoo-dev 2022-01-04 13:28:29 UTC
All sanity-check issues have been resolved
Comment 4 Jakov Smolić archtester gentoo-dev 2022-01-04 18:09:35 UTC
x86 done
Comment 5 Agostino Sarubbo gentoo-dev 2022-01-06 15:01:42 UTC
amd64 stable
Comment 6 Arthur Zamarin archtester gentoo-dev 2022-01-08 12:49:03 UTC
arm done
Comment 7 Arthur Zamarin archtester gentoo-dev 2022-01-08 12:49:04 UTC
ppc done
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-14 18:57:59 UTC
arm64 done
Comment 9 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-18 12:25:52 UTC
ppc64 done

all arches done